Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging_PolicyValueC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "tao/TAO_Export.h"`
`#include "IOPC.h"`
`#include "Sequence.h"`
`#include "ace/post.h"`

Include dependency graph for Messaging_PolicyValueC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Messaging
## Compounds
struct | Messaging::PolicyValue
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _MESSAGING_POLICYVALUE__TAO_SEQ_OCTET_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_MESSAGING_POLICYVALUESEQ_CH_
#define | _MESSAGING_POLICYVALUESEQ_CH_
#define | _MESSAGING_POLICYVALUESEQ___VAR_CH_
#define | _MESSAGING_POLICYVALUESEQ___OUT_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_Export void | operator<<= (CORBA::Any &, const Messaging::PolicyValue &)
TAO_Export void | operator<<= (CORBA::Any &, Messaging::PolicyValue *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::PolicyValue *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Messaging::PolicyValue *&)
TAO_Export void | operator<<= (CORBA::Any &, const Messaging::PolicyValueSeq &)
TAO_Export void | operator<<= (CORBA::Any &, Messaging::PolicyValueSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::PolicyValueSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Messaging::PolicyValueSeq *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PolicyValue &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PolicyValue &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PolicyValue::_tao_seq_Octet &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PolicyValue::_tao_seq_Octet &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PolicyValueSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PolicyValueSeq &)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_MESSAGING_POLICYVALUESEQ_CH_

#define _MESSAGING_POLICYVALUE__TAO_SEQ_OCTET_CH_

#define _MESSAGING_POLICYVALUESEQ___OUT_CH_

#define _MESSAGING_POLICYVALUESEQ___VAR_CH_

#define _MESSAGING_POLICYVALUESEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValueSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValue::_tao_seq_Octet & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValue & | _tao_aggregate
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue * | _tao_elem
| ) |

TAO_NAMESPACE_CLOSE TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const Messaging::PolicyValue & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValueSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValue::_tao_seq_Octet & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValue & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValue *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue *& | _tao_elem
| ) |